# Importing libraries
import spidev # To communicate with SPI devices
import time   # To add delay

# Start SPI connection
spi = spidev.SpiDev() # Created an object
spi.open(0,0) 

# read SPI data from the MCP3008, 8 channels in total
def read_spi(channel):
  spidata = spi.xfer2([1,(8+channel)<<4,0])
  return ((spidata[1] & 3) << 8) + spidata[2]
 
try:
  while True:
    channeldata = read_spi(0)
    voltage = round(((channeldata * 3300) / 1024),0)
    temperature = ((voltage - 500) / 10)
    print("Temperature = {} degrees C".format(temperature))  #print value
    time.sleep(1) #pause for 1 second
 
except KeyboardInterrupt:
  spi.close()